#include <SPI.h>
#include <nRF24L01.h>
#include <RF24.h>
// TESTING Mega-F5 board OK
RF24 radio(15, 14); // (9, 10); // CE, CSN   
//Byte of array representing the address.
//This is the address where we will send the data. 
//This should be same on the receiving side.
const byte address[6] = "00001";     
int button_pin0 = A0;
int button_pin = A1;
boolean button_state0 = 0;
boolean button_state = 0;
void setup() {
pinMode(button_pin0, INPUT);
pinMode(button_pin, INPUT);
radio.begin();                  //Starting the Wireless communication
radio.openWritingPipe(address); //Setting the address where we will send the data
//You can set it as minimum or maximum depending on the distance between the transmitter and receiver.
radio.setPALevel(RF24_PA_MIN);  // RF24_PA_MAX
radio.stopListening();          //This sets the module as transmitter
}
void loop()
{
button_state0 = digitalRead(button_pin0);
button_state = digitalRead(button_pin);
if(button_state == LOW)
{
const char text[] = "Z";
radio.write(&text, sizeof(text));                  //Sending the message to receiver
}
if(button_state0 == LOW)
{
const char text[] = "C";
radio.write(&text, sizeof(text));                  //Sending the message to receiver
}
delay(500);
}
